summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2022-04-16 09:54:59 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-16 12:12:54 +0700
commit10005444b90bc0c78a59b207ea62b45e76910017 (patch)
treede8aa32bba50ed225be854ebcda4f3809f69a7a8 /desktop
parentcd257ddc9698182ec44b8bcee88b723c5183daca (diff)
downloadslackbuilds-10005444b90bc0c78a59b207ea62b45e76910017.tar.gz
slackbuilds-10005444b90bc0c78a59b207ea62b45e76910017.tar.xz
desktop/Tela-icon-theme: Added (flat icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/Tela-icon-theme/README11
-rw-r--r--desktop/Tela-icon-theme/Tela-icon-theme.SlackBuild92
-rw-r--r--desktop/Tela-icon-theme/Tela-icon-theme.info10
-rw-r--r--desktop/Tela-icon-theme/doinst.sh13
-rw-r--r--desktop/Tela-icon-theme/slack-desc19
5 files changed, 145 insertions, 0 deletions
diff --git a/desktop/Tela-icon-theme/README b/desktop/Tela-icon-theme/README
new file mode 100644
index 0000000000..ba7a6804c7
--- /dev/null
+++ b/desktop/Tela-icon-theme/README
@@ -0,0 +1,11 @@
+Tela-icon-theme is a flat colorful design icon theme.
+
+There are 13 color variants:
+standard, black, blue, brown, green, grey, orange,
+pink, purple, red, yellow, manjaro, ubuntu
+
+Only the standard color variant is installed by default.
+Select additional color variants by passing variables to the script.
+
+For example, to select the Manjaro and Ubuntu color variants:
+MANJARO=yes UBUNTU=yes ./tela-icon-theme.SlackBuild
diff --git a/desktop/Tela-icon-theme/Tela-icon-theme.SlackBuild b/desktop/Tela-icon-theme/Tela-icon-theme.SlackBuild
new file mode 100644
index 0000000000..a3e1002c58
--- /dev/null
+++ b/desktop/Tela-icon-theme/Tela-icon-theme.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+# Slackware build script for Tela-icon-theme
+
+# Copyright 2022 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM="Tela-icon-theme"
+SRCNAM="tela-icon-theme"
+SRCVER=${SRCVER:-2022-02-21}
+VERSION=${VERSION:-2022_02_21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+
+chown -R root:root .
+
+# This slackbuild installs the standard color variant by default
+# Other color variants are available
+if [ "${BLACK:-no}" == yes ] ; then BLACK=black ; fi
+if [ "${BLUE:-no}" == yes ] ; then BLUE=blue ; fi
+if [ "${BROWN:-no}" == yes ] ; then BROWN=brown ; fi
+if [ "${GREEN:-no}" == yes ] ; then GREEN=green ; fi
+if [ "${GREY:-no}" == yes ] ; then GREY=grey ; fi
+if [ "${ORANGE:-no}" == yes ] ; then ORANGE=orange ; fi
+if [ "${PINK:-no}" == yes ] ; then PINK=pink ; fi
+if [ "${PURPLE:-no}" == yes ] ; then PURPLE=purple ; fi
+if [ "${RED:-no}" == yes ] ; then RED=red ; fi
+if [ "${YELLOW:-no}" == yes ] ; then YELLOW=yellow ; fi
+if [ "${MANJARO:-no}" == yes ] ; then MANJARO=manjaro ; fi
+if [ "${UBUNTU:-no}" == yes ] ; then UBUNTU=ubuntu ; fi
+
+# I cannot install all of the color variants at once. To put it in another way:
+# This slackbuild will not install with the following command:
+# ./install.sh -a -d $PKG/usr/share/icons
+# Instead, you will have to select additional color variants by passing variables to the script
+mkdir -p $PKG/usr/share/icons
+./install.sh standard $BLACK $BLUE $BROWN $GREEN $GREY $ORANGE $PINK $PURPLE $RED $YELLOW \
+ $MANJARO $UBUNTU -d $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+find . -type l \
+ -printf '( cd %h ; rm -rf %f )\n( cd %h ; ln -sf %l %f )\n' -delete | \
+ sed 's,cd \./,cd ,' >> $PKG/install/doinst.sh
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/Tela-icon-theme/Tela-icon-theme.info b/desktop/Tela-icon-theme/Tela-icon-theme.info
new file mode 100644
index 0000000000..26784a8c4e
--- /dev/null
+++ b/desktop/Tela-icon-theme/Tela-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="Tela-icon-theme"
+VERSION="2022_02_21"
+HOMEPAGE="https://www.pling.com/p/1279924"
+DOWNLOAD="https://github.com/vinceliuice/tela-icon-theme/archive/2022-02-21/tela-icon-theme-2022-02-21.tar.gz"
+MD5SUM="e2db46e88bd6da7e312d27dd5333d3e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/desktop/Tela-icon-theme/doinst.sh b/desktop/Tela-icon-theme/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/desktop/Tela-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/Tela-icon-theme/slack-desc b/desktop/Tela-icon-theme/slack-desc
new file mode 100644
index 0000000000..d7a742fe72
--- /dev/null
+++ b/desktop/Tela-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Tela-icon-theme: Tela-icon-theme (flat icon theme)
+Tela-icon-theme:
+Tela-icon-theme: Tela-icon-theme is a flat colorful design icon theme.
+Tela-icon-theme:
+Tela-icon-theme:
+Tela-icon-theme:
+Tela-icon-theme:
+Tela-icon-theme:
+Tela-icon-theme:
+Tela-icon-theme:
+Tela-icon-theme: